## debian-cd 3.1.14

=== Makefile ===
#!/usr/bin/make -f

# Main Makefile for debian-cd
#
# Copyright 1999 Rapha?l Hertzog <hertzog@debian.org>
# See the README file for the license
#
# Significantly modified 2005-2006 Steve McIntyre <93sam@debian.org>
# for multi-arch and mixed bin/src discs
#
# The environment variables must have been set
# before. For this you can source the CONF.sh 
# file in your shell


## DEFAULT VALUES
ifndef VERBOSE_MAKE
Q=@
endif
ifndef TASK
TASK=Debian-generic
endif
ifndef MKISOFS
ifneq (,$(filter i386 amd64,$(ARCHES)))
export MKISOFS=xorriso
export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
else
export MKISOFS=$(shell which genisoimage mkisofs | head -1)
endif
endif
ifndef MKISOFS_OPTS
#For normal users
MKISOFS_OPTS=-r
#For symlink farmers
#MKISOFS_OPTS=-r -F .
endif
ifndef HOOK
HOOK=$(BASEDIR)/tools/$(CODENAME).hook
endif
ifndef ARCHIVE_KEYRING_PACKAGE
ARCHIVE_KEYRING_PACKAGE=debian-archive-keyring
endif
ifndef ARCHIVE_KEYRING_FILE
ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
endif

export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
ifeq ($(ARCHES),source)
	export SOURCEONLY=yes
endif
ifeq ($(shell echo $(ARCHES) | sed 's/.*source.*/1/'),1)
	export INC_SOURCE=yes
endif

UNDER_ARCHES=$(shell echo $(ARCHES) | sed 's/\ /_/g')
ARCH_MKISOFS = ${${UNDER_ARCHES}_MKISOFS}
ARCH_MKISOFS_OPTS = ${${UNDER_ARCHES}_MKISOFS_OPTS}
ifneq (${ARCH_MKISOFS},)
    MKISOFS = ${ARCH_MKISOFS}
endif
ifneq (${ARCH_MKISOFS_OPTS},)
    MKISOFS_OPTS = ${ARCH_MKISOFS_OPTS}
endif
ifndef DEBOOTSTRAP_OPTS
DEBOOTSTRAP_OPTS=--no-check-gpg
endif

## Internal variables  
apt=$(BASEDIR)/tools/apt-selection
sort_deps=$(BASEDIR)/tools/sort_deps
md5sum=md5sum
jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
grab_md5=$(BASEDIR)/tools/grab_md5
make_image=$(BASEDIR)/tools/make_image
merge_package_lists=$(BASEDIR)/tools/merge_package_lists
update_popcon=$(BASEDIR)/tools/update_popcon
grab_source_list=$(BASEDIR)/tools/grab_source_list
which_deb=$(BASEDIR)/tools/which_deb

BDIR=$(TDIR)/$(CODENAME)
TASKDIR=$(BDIR)/tasks
ADIR=$(APTTMP)
DB_DIR=$(BDIR)/debootstrap

export DEBOOTSTRAP_DIR := $(DB_DIR)/usr/share/debootstrap
export PATH := $(DB_DIR)/usr/sbin:$(PATH)
export BDIR
export TASKDIR

## DEBUG STUFF ##

default:
	@echo "Please refer to the README file for more information"
	@echo "about the different targets available."

## CHECKS ##

# Basic checks in order to avoid problems
ok:
ifdef FORCE_FAIL
	@echo Debug variable FORCE_FAIL defined -- abort now; false
endif
ifndef TDIR
	@echo TDIR undefined -- set up CONF.sh; false
endif
ifndef BASEDIR
	@echo BASEDIR undefined -- set up CONF.sh; false
endif
ifndef MIRROR
	@echo MIRROR undefined -- set up CONF.sh; false
endif
ifndef ARCHES
	@echo ARCHES undefined -- set up CONF.sh; false
endif
ifndef CODENAME
	@echo CODENAME undefined -- set up CONF.sh; false
endif
ifndef DISKTYPE
	@echo DISKTYPE undefined -- set up CONF.sh; false
endif
ifndef OUT
	@echo OUT undefined -- set up CONF.sh; false
endif
ifdef NONFREE
ifdef EXTRANONFREE
	@echo Never use NONFREE and EXTRANONFREE at the same time; false
endif
endif
	@if [ $(DISKTYPE) = "NETINST" -o $(DISKTYPE) = "BC" ] ; then \
		if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
			echo "Including source is not supported on a netinst/bc CD"; \
			false; \
		fi; \
	fi

## INITIALIZATION ##

# Creation of the directories needed
init: ok $(OUT) $(TDIR) $(BDIR) $(ADIR) $(TASKDIR) $(BDIR)/DATE $(DB_DIR) unstable-map
$(OUT):
	$(Q)mkdir -p $(OUT)
$(TDIR):
	$(Q)mkdir -p $(TDIR)
$(BDIR):
	$(Q)mkdir -p $(BDIR)
$(ADIR):
	$(Q)mkdir -p $(ADIR)
$(TASKDIR):
ifneq ($(ARCHES),source)
	$(Q)echo "Updating task files..."
	$(Q)mkdir -p $(TASKDIR)
	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
	$(Q)echo "- generating dynamic task files"
	$(Q)set -e; cd $(TASKDIR); \
		$(BASEDIR)/tools/update_tasks; \
		$(BASEDIR)/tools/generate_di_list; \
		$(BASEDIR)/tools/generate_di+k_list
ifeq ($(FORCE_FIRMWARE),1)
	# Generate firmware task file using the contents of the archive
	$(Q)$(BASEDIR)/tools/generate_firmware_task "$(ARCHES)" $(TASKDIR)/firmware
endif
endif
$(BDIR)/DATE:
	$(Q)date -u '+%Y%m%d' > $(BDIR)/DATE
	$(Q)date -u '+%Y%m%dT%H%M%SZ' > $(BDIR)/DATE-zulu

ifdef MIRROR
LATEST_DB := $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) debootstrap)
$(DB_DIR): $(LATEST_DB)
	@rm -rf $(DB_DIR)
	$(Q)dpkg -x $(LATEST_DB) $(DB_DIR)
	$(Q)if [ ! -e $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ] ; then \
		ln -sf sid $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ; \
	fi
endif

# Make sure unstable/sid points to testing/wheezy, as there is no build
# rule for unstable/sid.
unstable-map:
	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
		ln -s wheezy $(BASEDIR)/data/sid ; \
	fi
	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
		ln -s wheezy $(BASEDIR)/tools/boot/sid ; \
	fi

#################
## CLEAN RULES ##
#################

# Cleans the current arch tree (but not packages selection info)
clean: ok dir-clean
dir-clean:
	$(Q)rm -rf $(BDIR)/CD[1234567890]*
	$(Q)rm -rf $(TASKDIR)
	$(Q)rm -f $(BDIR)/*.filelist*
	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check

# Completely cleans the current arch tree
realclean: distclean
distclean: ok clean
	$(Q)echo "Cleaning the build directory"
	$(Q)rm -rf $(ADIR)
	$(Q)rm -rf $(TDIR)

####################
## STATUS and APT ##
####################

$(CODENAME)_status: ok init
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		echo "Using the provided status file for $(CODENAME)-$$ARCH ..."; \
		cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
	done

# Regenerate the status file with only packages that
# are of priority standard or higher
status: init $(ADIR)/status
$(ADIR)/status:
	@echo "Generating a fake status file for apt-get and apt-cache..."
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" ];then \
			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
		else \
			zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.gz | \
			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
		fi; \
	done;
	:> $(ADIR)/status

	# Set up keyring so apt doesn't complain
	@echo "Setting up archive-keyring"
	$(Q)mkdir -p $(TDIR)/archive-keyring
	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
	done

	# Updating the apt database
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) update; \
	done

	# If we're doing a build using d-i from sid, we'll need sid sources too
	if [ "$(INC_SOURCE)"x = "yes"x ] && \
		[ "$(DI_CODENAME)"x != ""x ] && \
		[ "$(DI_CODENAME)"x != "$(CODENAME)"x ] ; then \
		mkdir -p $(ADIR)/$(DI_CODENAME)-source/apt/preferences.d ; \
		:> $(ADIR)/$(DI_CODENAME)-source/status ; \
		export CODENAME=$(DI_CODENAME); \
		export ARCH=source; \
		$(apt) update; \
	fi
    #
    # Checking the consistency of the standard system
    # If this does fail, then launch make correctstatus
    #
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) check || $(MAKE) correctstatus; \
	done

# Only useful if the standard system is broken
# It tries to build a better status file with apt-get -f install
correctstatus: status apt-update
    # You may need to launch correctstatus more than one time
    # in order to correct all dependencies
    #
    # Removing packages from the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) deselected -f install`; do \
				echo $$ARCH:$$i; \
				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
				$(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
		done; \
    fi
    #
    # Adding packages to the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) selected -f install`; do \
				echo $$ARCH:$$i; \
				$(apt) cache dumpavail | perl -000 -ne \
				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m; \
				print if /^Package: \Q$$i\E\s*\$$/m;" \
				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
		done; \
    fi
    #
    # Showing the output of apt-get check :
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		ARCH=$$ARCH $(apt) check; \
	done

apt-update: status
	$(Q)if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES); do \
			echo "Apt-get is updating its files ..."; \
			ARCH=$$ARCH $(apt) update; \
		done; \
    fi

## GENERATING LISTS ##

# Deleting the list only
deletelist: ok
	$(Q)-rm $(BDIR)/rawlist
	$(Q)-rm $(BDIR)/list

packagelists: ok apt-update genlist

# Build the raw list (cpp output) with doubles and spaces
$(BDIR)/rawlist:
# Dirty workaround for saving space, we add some hints to break ties.
# This is just a temporal solution, sort_deps should be a little bit less
# silly so that this is not needed. For more info have a look at
# http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
		if [ "$(INSTALLER_CD)"x = "1"x ] ; then \
			: ; \
		elif [ "$(INSTALLER_CD)"x = "2"x -o "$(INSTALLER_CD)"x = "C"x ] ; then \
			echo "mawk" >>$(BDIR)/rawlist; \
		else \
			echo "mawk" >>$(BDIR)/rawlist; \
			echo "exim4-daemon-light" >>$(BDIR)/rawlist; \
		fi; \
	fi

	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
		if [ _$(INSTALLER_CD) != _1 ]; then \
			for ARCH in $(ARCHES_NOSRC); do \
				BINCLUDE=`[ -n "$(BASE_INCLUDE)" ] && cat $(BASE_INCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
				[ -z "$$BINCLUDE" ] || BINCLUDE="--include=$$BINCLUDE"; \
				BEXCLUDE=`[ -n "$(BASE_EXCLUDE)" ] && cat $(BASE_EXCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
				[ -z "$$BEXCLUDE" ] || BEXCLUDE="--exclude=$$BEXCLUDE"; \
				debootstrap $(DEBOOTSTRAP_OPTS) --arch $$ARCH \
				            --print-debs \
				            $$BINCLUDE $$BEXCLUDE \
				            $(CODENAME) \
				            $(TDIR)/debootstrap.tmp \
				            file:$(MIRROR) \
			                $(DEBOOTSTRAP_SCRIPT) 2>/dev/null \
				    | tr ' ' '\n' > $(BDIR)/debootstrap-list; \
				cat $(BDIR)/debootstrap-list >>$(BDIR)/rawlist; \
				rm -rf $(TDIR)/debootstrap.tmp; \
			done; \
		fi; \
	fi

	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		ARCHDEFS="$$ARCHDEFS -D ARCH_`echo $$ARCH | sed 's/-/_/'`"; \
		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
	done; \
	for VARIANT in $(VARIANTS); do \
		VARIANTDEFS="$$VARIANTDEFS -D VARIANT_$$VARIANT"; \
	done; \
	if [ "$(FORCE_FIRMWARE)"x = "1"x ] ; then \
		ARCHDEFS="$$ARCHDEFS -DFORCE_FIRMWARE"; \
	fi; \
	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_486_KERNEL"; \
	fi; \
	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
		cat $(TASKDIR)/$(TASK) | \
		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
		    -DFORCENONUSONCD1=0 \
		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
	fi

    # If we're *only* doing source, then we need to build a list of all the
    # available source packages. Deliberately ignore the tasks too.
	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
		awk '/^Package:/ {print $$2}' $(ADIR)/$(CODENAME)-source/apt-state/lists/*Sources | \
			sort -u > $(BDIR)/rawlist; \
	fi
#	ls -al $(BDIR)/rawlist

# Generate the complete listing of packages from the task
# Build a nice list without doubles and without spaces
genlist: ok $(BDIR)/list
$(BDIR)/list: $(BDIR)/rawlist

=== debian/changelog ===
debian-cd (3.1.14) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start jessie work; copy things from the wheezy config for now.
  * Remove older squeeze, lenny, etch dirs
  * Move code hosting from svn to git.
  * Make sure that when we call apt, we tell it to *not* use localised
    package descriptions; this causes issues during build. See #712435 in
    apt.
  * List Translation files in dists/$dist/Release too - apt looks there
    now instead of in Index, apparently.
  * Remove mention/support of the s390(x) tape options; not created by d-i
    any more, and this is causing build failures.
  * Remove mention/support of old kfreebsd 8 kernels - they are not
    created any more, and this is causing build failures.
  * Remove s390 from the arch lists in various scripts, as it's going
    away. Support remains if specifically configured yet.
  * tools/update_tasks: don't hard-code the default desktop to use,
    instead work it out directly from the dependencies of the task-desktop
    package.
  * tools/boot/jessie/*: Pull out some more common code into common.sh to
    simplify the various boot-$arch scripts. Warn about potentially
    insecure download locations.

  [ Robert Spencer ]
  * Build without isolinux/desktop. Closes: #706150
  * Don't assume loadlin.exe exists. Closes: #706156

  [ Joey Hess ]
  * Add make and gcc back to forcecd1, to allow building out of tree
    kernel wifi modules. I removed this and more earlier while cleaning
    out undocuented cruft.
    (I have not added back module-assistant so far,
    since it needs build-essential which would pull in additional
    dependencies.)

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Jan 2014 17:19:22 +0100

=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: tofrodos
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/debian-cd/debian-cd.git
Vcs-Browser: http://anonscm.debian.org/git/debian-cd/debian-cd.git;a=summary

Package: debian-cd
Architecture: all
Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
Recommends: hfsutils, netpbm, syslinux-common, mtools, dosfstools
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

build-arch build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -r contrib tools tasks data Makefile README README.devel build.sh \
              build_all.sh update-cd easy-build.sh README.easy-build \
              debian/debian-cd/usr/share/debian-cd/
	cp CONF.sh debian/debian-cd/etc/debian-cd/conf.sh
	ln -sf /etc/debian-cd/conf.sh \
               debian/debian-cd/usr/share/debian-cd/CONF.sh
	find debian/debian-cd -name '.svn' | xargs -r rm -rf
	find debian/debian-cd/usr/share/debian-cd/tools/boot \
	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
	  -a \! -name '*.calc' -a \! -name boot-x86 -a \! -name boot-kfreebsd \
	  -a \! -name boot-hurd | xargs chmod 0755
	cd debian/debian-cd/usr/share/debian-cd/contrib && chmod 755 cronjob.* ftp.cron \
		generate_firmware_images iso_run jigdo-watcher \
		merge-sums mkjigsnap mklist mktorrent \
		report_build_error testingcds 

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README* DEDICATION.txt
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build: build-arch build-indep
.PHONY: build-arch build-indep  build clean binary-indep binary-arch binary

## debian-cd 3.1.15

=== debian/changelog ===
debian-cd (3.1.15) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add "UEFI" text to the UEFI installer menu title to make it easier for
    end users to distinguish between UEFI and BIOS boot.

  [ Samuel Thibault ]
  * Make kfreebsd & hurd images usbkey-bootable. Closes: #739422
  * Fix building desktop CDs with easy-build.sh Closes: #740558

  [ Raphaël Hertzog ]
  * Fix code extracting the xorriso version.

  [ Steve McIntyre ]
  * tools/apt-selection: pass APT::Architectures:: when calling apt;
    otherwise if we're running on a multi-arch system apt will break
  * Factor out the xorriso version-checking code

  [ Helge Deller ]
  * Fixes for booting on hppa architecture. Closes: #743879, #749409

  [ Robert Millan ]
  * Update from kfreebsd-9 to kfreebsd-10

  [ Daniel Baumann ]
  * Cope with changes from move to isolinux 6.x. Closes: #746746

 -- Steve McIntyre <93sam@debian.org>  Tue, 11 Feb 2014 01:57:01 +0000

## debian-cd 3.1.16

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 TASK=Debian-generic
 endif
 ifndef MKISOFS
-ifneq (,$(filter i386 amd64,$(ARCHES)))
+ifneq (,$(filter i386 amd64 arm64,$(ARCHES)))
 export MKISOFS=xorriso
 export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
 else
@@ -292,9 +292,8 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) selected -f install`; do \
 				echo $$ARCH:$$i; \
-				$(apt) cache dumpavail | perl -000 -ne \
-				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m; \
-				print if /^Package: \Q$$i\E\s*\$$/m;" \
+				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 		done; \

=== debian/changelog ===
debian-cd (3.1.16) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix changelog date for 3.1.15. Closes: #751814
  * Fix up Gnome CD set installing xfce - logic in boot menu creation was
    broken. Closes: #756774
  * Update kernel flavours for armhf to just use armmp and armmp-lpae
  * Update arch lists to match what's in Jessie: remove sparc and ia64,
    add arm64.
  * Add Debian-mate and Debian-cinnamon top-level tasks for new CD desktop
    options
  * Extend FORCE_SID_TASKSEL usage in update_tasks to also affect desktop
    choice algorithm
  * Add experimental support for arm64 booting via UEFI
  * Use new tasksel interface to determine default desktop.
    Closes: #762613
  * Do not look for isolinux/desktop/*cfg files for appending
    kernel params for Jessie. Closes: #767223, #766411. Thanks to Prema
    and Vagrant for (identical!) patches. :-)

  [ Philipp Hahn ]
  * Fix word-splitting regexp in generate_di_list. Closes: #758512.
  * Improve correctstatus speed. Closes: #759343

  [ Joey Hess ]
  * adapt desktop handling for tasksel/d-i changes. Closes: #762487

  [ Aurelien Jarno ]
  * Add initial support for ppc64el

  [ Ian Campbell ]
  * Force MKISOFO=xorriso for arm64 too
  * The d-i supplied grub.cfg has the correct entries in it already

 -- Steve McIntyre <93sam@debian.org>  Wed, 29 Oct 2014 17:33:10 +0000

## debian-cd 3.1.17

=== Makefile ===
--- 
+++ 
@@ -222,7 +222,7 @@
 	@echo "Generating a fake status file for apt-get and apt-cache..."
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
-		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" ];then \
+		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
 			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 		else \
 			zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.gz | \
@@ -372,6 +372,9 @@
 	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_486_KERNEL"; \
 	fi; \
+	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
+		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
+	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		cat $(TASKDIR)/$(TASK) | \
 		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
@@ -388,7 +391,3 @@
 	fi
 #	ls -al $(BDIR)/rawlist
 
-# Generate the complete listing of packages from the task
-# Build a nice list without doubles and without spaces
-genlist: ok $(BDIR)/list
-$(BDIR)/list: $(BDIR)/rawlist

=== debian/changelog ===
debian-cd (3.1.17) unstable; urgency=medium

  [ Steve McIntyre ]
  * Provide hashes for uncompressed Translation-* files, and remove the
    uncompressed versions from the output disc. Closes: #767253. Initial
    patch from Michael Vogt - thanks!
  * Add 586 kernels to replace 486 for i386 CDs
  * More tweaks for arm64 CD building
  * Change from -- to --- for kernel command line handling.
    Closes: #764676
  * Add minor support / bug fixes for i386 EFI.
  * Add fine-grained control over usage of BIOS and EFI boot on x86 CDs,
    needed for extra Mac CD builds.
  * update-cd: if we're doing torrents, make sure we include update CD
    checksums in bt-$type too.
  * Improve autorun.inf, make sure the disc icon displays. Closes: #772691
    Thanks to jnqnfe for initial patch, slightly tweaked.
  * Add rdnssd on disc 1 by default. Closes: #782299
  * Update included files from the setup repo in the contrib dir

  [ Ben Hutchings ]
  * generate_di+k_list: Update kernel and related package lists for mips*
    Closes: #777711

  [ Helge Deller ]
  * [alpha] fix unpacking aboot-base, copy versioned vmlinuz file correctly.

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: debian-cd
 Architecture: all
 Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
-Recommends: hfsutils, netpbm, syslinux-common, mtools, dosfstools
+Recommends: hfsutils, netpbm, isolinux, syslinux-common, mtools, dosfstools
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato
  release. It was formerly called YACS (for Yet Another CD Script).

## debian-cd 3.1.18

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 TASK=Debian-generic
 endif
 ifndef MKISOFS
-ifneq (,$(filter i386 amd64 arm64,$(ARCHES)))
+ifneq (,$(filter i386 amd64 arm64 hppa,$(ARCHES)))
 export MKISOFS=xorriso
 export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
 else
@@ -180,10 +180,10 @@
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s wheezy $(BASEDIR)/data/sid ; \
+		ln -s stretch $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s wheezy $(BASEDIR)/tools/boot/sid ; \
+		ln -s stretch $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -375,19 +375,17 @@
 	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
 	fi; \
+	if [ "$(EXCLUDE_686_KERNEL)"x = "1"x ] ; then \
+		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_686_KERNEL"; \
+	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		cat $(TASKDIR)/$(TASK) | \
 		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
 		    -DFORCENONUSONCD1=0 \
-		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
+		    -I $(TASKDIR) $(TASKDIR)/$(TASK) >> $(BDIR)/rawlist; \
 	fi
 
     # If we're *only* doing source, then we need to build a list of all the
     # available source packages. Deliberately ignore the tasks too.
 	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
 		awk '/^Package:/ {print $$2}' $(ADIR)/$(CODENAME)-source/apt-state/lists/*Sources | \
-			sort -u > $(BDIR)/rawlist; \
-	fi
-#	ls -al $(BDIR)/rawlist
-

=== debian/changelog ===
debian-cd (3.1.18) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start stretch, simply copying jessie for now
  * Remove mention of desktop choice from yaboot boot messages
    (Closes: #783569)
  * Add YA syslinux package to Recommends.
  * Fix handlinkg of LOGOPNG when we've got "doppelganer" initramfs files
  * Add support for debian-edu builds
  * Change cpp usage in the Makefile to make error handling more reliable
  * tools/sort_deps: Improve handling of too-large packages. Previously,
    the code would only check sizes for packages explicitly listed but
    packages brought in due to dependency resolution would not be
    checked. Now fixed.
  * Try to make VOLIDs shorter when given long alpha / beta release names
    in DEBVERSION
  * Add firmware bundles in cpio.gz format too to help netboot users.
    Thanks to Alex Owen for the patch, slightly tweaked.
  * Add kernels and other bits to armel/armhf images (Closes: #795844)
  * Do similar for mips images, now r4k-ip22 cdrom images are no longer
    built.
  * Remove old obsolete pre-d-i function install_language and all callers.
  * parse_isolinux: Support grub menuentry shortcuts for UEFI boot menus.
    Closes: #798908
  * Create checksums for firmware images
  * Switch references to d-i.debian.org to use https instead of http.
    Closes: #809698. Also use --ca-directory /etc/ssl/ca-debian/ with wget
    to ensure this works.
  * Add Recommends: syslinux-utils in case a user wants to use SPLASHPNG
    (and hence ppmtolss16) for their own splash images. Closes: #768977
  * Update Standards-Version to 3.9.6

  [ Didier Raboud ]
  * For stretch, swap amd64 and i386 to let the first be the norm, and the
    latter be the special case, this copes with the similar change in d-i
  * Add management of arch detection from d-i in isolinux, fix booting from
    help files and isolinux.cfg overwriting

  [ Cyril Brulebois ]
  * Make amd64 the default arch in the easy-build.sh script.
  * Make stretch the default suite in the easy-build.sh script.

  [ Philipp Kern ]
  * Load the s390x initrd at 0x01000000 to allow kernels larger than
    8 MiB (and smaller than 16 MiB) to be loaded via the ins loader.
  * Drop the remaining s390 bits from stretch and jessie. (s390x remains.)
  * Drop the d390oco loader from stretch and jessie.

  [ John Paul Adrian Glaubitz ]
  * Add initial sparc64 support

  [ Samuel Thibault ]
  * include espeakup on cd1, not speakup, and alsa-utils. Closes: #809497
  * Minor tweaks to hurd boot setup. Closes: #818176

  [ Ben Hutchings ]
  * Add 686 kernels to replace 586 for i386 CDs. Closes: #808958

  [ Nicholas D Steeves ]
  * Change dependency on btrfs-tools to btrfs-progs. Closes: #820479

  [ Helge Deller ]
  * Update hppa support. Closes: #744155

  [ Philipp Hahn ]
  * Fix size calculation for EFI image

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100

## debian-cd 3.1.19

=== debian/changelog ===
debian-cd (3.1.19) unstable; urgency=medium

  [ Steve McIntyre ]
  * Also fix size calculation for EFI image for arm64
  * Add workaround for dosfstools issue (#823881)
  * Add support for adding backports into a build
  * Remove obsolete dedicated_source script
  * Add support for archives without Packages.gz and Sources.gz - try .xz
    files too

  [ Cyril Brulebois ]
  * Only export WGET_OPTS="--ca-directory /etc/ssl/ca-debian/" when this
    directory actually exists, making it easier to use debian-cd on non-
    debian.org machines.

  [ John Paul Adrian Glaubitz ]
  * Fix perl errors in make_disc_trees.pl - use "local $_", not "my $_"
    Closes: #839946

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Dec 2016 01:13:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Raphaël Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: tofrodos
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-cd/debian-cd.git
 Vcs-Browser: http://anonscm.debian.org/git/debian-cd/debian-cd.git;a=summary
 
 Package: debian-cd
 Architecture: all
 Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
-Recommends: hfsutils, netpbm, isolinux, syslinux-common, mtools, dosfstools
+Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools, syslinux-utils
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato
  release. It was formerly called YACS (for Yet Another CD Script).

## debian-cd 3.1.20

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,7 @@
 
 ## Internal variables  
 apt=$(BASEDIR)/tools/apt-selection
+check_backports_packages=$(BASEDIR)/tools/check_backports_packages
 sort_deps=$(BASEDIR)/tools/sort_deps
 md5sum=md5sum
 jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
@@ -77,6 +78,7 @@
 update_popcon=$(BASEDIR)/tools/update_popcon
 grab_source_list=$(BASEDIR)/tools/grab_source_list
 which_deb=$(BASEDIR)/tools/which_deb
+catz=$(BASEDIR)/tools/catz
 
 BDIR=$(TDIR)/$(CODENAME)
 TASKDIR=$(BDIR)/tasks
@@ -213,6 +215,10 @@
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
 		echo "Using the provided status file for $(CODENAME)-$$ARCH ..."; \
 		cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			echo "Using the provided status file for $(CODENAME)-backports-$$ARCH ..."; \
+			cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-backports-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
+		fi; \
 	done
 
 # Regenerate the status file with only packages that
@@ -222,12 +228,23 @@
 	@echo "Generating a fake status file for apt-get and apt-cache..."
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/preferences.d; \
+		fi; \
 		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
 			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				:> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
+			fi; \
 		else \
-			zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.gz | \
+			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
 			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
+				perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
+				>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
+			fi; \
 		fi; \
 	done;
 	:> $(ADIR)/status
@@ -239,12 +256,19 @@
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
+			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
+		fi; \
 	done
 
 	# Updating the apt database
 	$(Q)for ARCH in $(ARCHES); do \
 		export ARCH=$$ARCH; \
 		$(apt) update; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) update; \
+		fi; \
 	done
 
 	# If we're doing a build using d-i from sid, we'll need sid sources too
@@ -256,6 +280,9 @@
 		export CODENAME=$(DI_CODENAME); \
 		export ARCH=source; \
 		$(apt) update; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) update; \
+		fi; \
 	fi
     #
     # Checking the consistency of the standard system
@@ -264,6 +291,9 @@
 	$(Q)for ARCH in $(ARCHES); do \
 		export ARCH=$$ARCH; \
 		$(apt) check || $(MAKE) correctstatus; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) check || $(MAKE) correctstatus; \
+		fi; \
 	done
 
 # Only useful if the standard system is broken
@@ -282,6 +312,13 @@
 				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				for i in `USE_BP=1 $(apt) deselected -f install`; do \
+					echo $$ARCH:$$i; \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
+				done; \
+			fi; \
 		done; \
     fi
     #
@@ -296,12 +333,23 @@
 				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				for i in `USE_BP=1 $(apt) selected -f install`; do \
+					echo $$ARCH:$$i; \
+					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
+				done; \
+			fi; \
 		done; \
     fi
     #
     # Showing the output of apt-get check :
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
 		ARCH=$$ARCH $(apt) check; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 ARCH=$$ARCH $(apt) check; \
+		fi; \
 	done
 
 apt-update: status
@@ -309,6 +357,9 @@
 		for ARCH in $(ARCHES); do \
 			echo "Apt-get is updating its files ..."; \
 			ARCH=$$ARCH $(apt) update; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				USE_BP=1 ARCH=$$ARCH $(apt) update; \
+			fi; \
 		done; \
     fi
 
@@ -333,59 +384,3 @@
 		elif [ "$(INSTALLER_CD)"x = "2"x -o "$(INSTALLER_CD)"x = "C"x ] ; then \
 			echo "mawk" >>$(BDIR)/rawlist; \
 		else \
-			echo "mawk" >>$(BDIR)/rawlist; \
-			echo "exim4-daemon-light" >>$(BDIR)/rawlist; \
-		fi; \
-	fi
-
-	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		if [ _$(INSTALLER_CD) != _1 ]; then \
-			for ARCH in $(ARCHES_NOSRC); do \
-				BINCLUDE=`[ -n "$(BASE_INCLUDE)" ] && cat $(BASE_INCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
-				[ -z "$$BINCLUDE" ] || BINCLUDE="--include=$$BINCLUDE"; \
-				BEXCLUDE=`[ -n "$(BASE_EXCLUDE)" ] && cat $(BASE_EXCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
-				[ -z "$$BEXCLUDE" ] || BEXCLUDE="--exclude=$$BEXCLUDE"; \
-				debootstrap $(DEBOOTSTRAP_OPTS) --arch $$ARCH \
-				            --print-debs \
-				            $$BINCLUDE $$BEXCLUDE \
-				            $(CODENAME) \
-				            $(TDIR)/debootstrap.tmp \
-				            file:$(MIRROR) \
-			                $(DEBOOTSTRAP_SCRIPT) 2>/dev/null \
-				    | tr ' ' '\n' > $(BDIR)/debootstrap-list; \
-				cat $(BDIR)/debootstrap-list >>$(BDIR)/rawlist; \
-				rm -rf $(TDIR)/debootstrap.tmp; \
-			done; \
-		fi; \
-	fi
-
-	$(Q)for ARCH in $(ARCHES_NOSRC); do \
-		ARCHDEFS="$$ARCHDEFS -D ARCH_`echo $$ARCH | sed 's/-/_/'`"; \
-		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
-	done; \
-	for VARIANT in $(VARIANTS); do \
-		VARIANTDEFS="$$VARIANTDEFS -D VARIANT_$$VARIANT"; \
-	done; \
-	if [ "$(FORCE_FIRMWARE)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DFORCE_FIRMWARE"; \
-	fi; \
-	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_486_KERNEL"; \
-	fi; \
-	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
-	fi; \
-	if [ "$(EXCLUDE_686_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_686_KERNEL"; \
-	fi; \
-	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
-	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
-		    -DFORCENONUSONCD1=0 \
-		    -I $(TASKDIR) $(TASKDIR)/$(TASK) >> $(BDIR)/rawlist; \
-	fi
-
-    # If we're *only* doing source, then we need to build a list of all the
-    # available source packages. Deliberately ignore the tasks too.
-	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
-		awk '/^Package:/ {print $$2}' $(ADIR)/$(CODENAME)-source/apt-state/lists/*Sources | \

=== debian/changelog ===
debian-cd (3.1.20) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add {data,tasks,tools/boot}/{kali-dev,kali-rolling} symlinks pointing
    to sid to make it easier to build Kali images with debian-cd.

  [ Steve McIntyre ]
  * Add https bits to tools/generate_di+k_list (#855035)
  * Fix missing full path for catz call in tools/grab_md5 (Closes: #855174)
  * Add stub for mips64el boot support, so we can build images for it
  * Add reportbug to tasks/forcd1 - make it easier for users to report
    installation problems. Closes: #861288
  * Ensure that arm64 images include grub-efi packages
  * Tweak the Volume ID and disk info output slightly for netinst media.
    Closes: #858031
  * Tweak the Volume ID for mips64el media

  [ Samuel Thibault ]
  * Add support for grub submenu hotkeys.

  [ Vagrant Cascadian ]
  * Add wget to Recommends. Closes: #861436

 -- Steve McIntyre <93sam@debian.org>  Tue, 06 Jun 2017 13:12:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: debian-cd
 Architecture: all
 Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
-Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools, syslinux-utils
+Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools, syslinux-utils, wget
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato
  release. It was formerly called YACS (for Yet Another CD Script).

## debian-cd 3.1.21

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,12 @@
 endif
 ifndef DEBOOTSTRAP_OPTS
 DEBOOTSTRAP_OPTS=--no-check-gpg
+endif
+
+## Port architectures need their archive keyring
+UNRELEASED_PORT_ARCHITECTURES=alpha hppa hurd-i386 m68k ppc64 powerpcspe sh4 sparc64 x32
+ifneq (,$(filter $(UNRELEASED_PORT_ARCHITECTURES),$(ARCHES)))
+export BASE_INCLUDE := $(BASEDIR)/data/base_include_port_architectures $(BASE_INCLUDE)
 endif
 
 ## Internal variables  
@@ -178,14 +184,14 @@
 	fi
 endif
 
-# Make sure unstable/sid points to testing/wheezy, as there is no build
+# Make sure unstable/sid points to testing/buster, as there is no build
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s stretch $(BASEDIR)/data/sid ; \
+		ln -s buster $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s stretch $(BASEDIR)/tools/boot/sid ; \
+		ln -s buster $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -377,10 +383,3 @@
 # Dirty workaround for saving space, we add some hints to break ties.
 # This is just a temporal solution, sort_deps should be a little bit less
 # silly so that this is not needed. For more info have a look at
-# http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
-	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		if [ "$(INSTALLER_CD)"x = "1"x ] ; then \
-			: ; \
-		elif [ "$(INSTALLER_CD)"x = "2"x -o "$(INSTALLER_CD)"x = "C"x ] ; then \
-			echo "mawk" >>$(BDIR)/rawlist; \
-		else \

=== debian/changelog ===
debian-cd (3.1.21) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak tasks/stretch/Debian-xfce: force some important packages up the
    dependency order so they're guaranteed to fit (firefox,
    network-manager-gnome, synaptic)
  * Start buster, simply copying stretch for now
  * Add SHA256 checksums to Packages files for update images
  * Make update_popcon deal with https on popcon.d.o
  * Depend on wget instead of just Recommending it.
  * Update references to point to salsa.d.o for git repo
  * Fix isolinux config parsing. Thanks to Philipp Hahn for the
    patch. Closes: #886655
  * Minor packaging updates:
    + Remove the executable bit from various shell function files
    + Update the debhelper dependency to version 10
    + Stop using dh_clean -k
    + Switch Priority: extra to optional
    + Update Standards-Version to 4.1.3

  [ JH Chatenet ]
  * Include debian-ports-archive-keyring on non released architectures
    Closes: #865470

  [ John Paul Adrian Glaubitz ]
  * Add list of packages required for debian-installer on m68k.
  * Add support for unreleased packages from Debian Ports.
  * Remove special handling for palo, silo and yaboot in which_deb.
  * Fix relative d-i path for kernel images and initrd in boot-hppa.
  * Fix relative d-i path for kernel images and initrd in boot-sparc64.
  * Add support for unreleased debian-installer packages from Debian Ports.
  * Fix relative d-i path for kernel images and initrd in boot-alpha.
  * Strip "images/cdrom" suffix from mirror DI_DIR path in boot-alpha.
  * Add grub-ieee1275 to tools/generate_di+k_list on powerpc.
  * Add grub-ieee1275 to tools/generate_di+k_list on sparc and sparc64.
  * Fix install location of amiga.info icon file.
  * Clone powerpc udeb lists for ppc64.
  * Add initial set of packages to tools/generate_di+k_list on ppc64.

  [ Marcin Kulisz]
  * removing lynx-cur from binary conditional dependency (Closes: #888107)

  [ Vagrant Cascadian ]
  * Support KERNEL_PARAMS in arm64 (Closes: #884552)

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Feb 2018 00:44:46 +0000

=== debian/control ===
Source: debian-cd
Section: admin
Priority: optional
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: tofrodos
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

Package: debian-cd
Architecture: all
Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget
Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools, syslinux-utils
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD sets.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
@@ -33,7 +33,7 @@
 	find debian/debian-cd/usr/share/debian-cd/tools/boot \
 	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
 	  -a \! -name '*.calc' -a \! -name boot-x86 -a \! -name boot-kfreebsd \
-	  -a \! -name boot-hurd | xargs chmod 0755
+	  -a \! -name boot-hurd -a \! -name '*common' | xargs chmod 0755
 	cd debian/debian-cd/usr/share/debian-cd/contrib && chmod 755 cronjob.* ftp.cron \
 		generate_firmware_images iso_run jigdo-watcher \
 		merge-sums mkjigsnap mklist mktorrent \

## debian-cd 3.1.22

=== debian/changelog ===
debian-cd (3.1.22) unstable; urgency=medium

  [ Steve McIntyre ]
  * Ensure that in all places where we use -J we also use
    -joliet-long. Thanks to Thomas Schmitt again for a clear bug report!
  * List jigdo, template and torrent files in SUMS files too. Closes: #887830
  * Tweak the date used for snapshot.d.o references - use *tomorrow*
    rather than today, to allow time for the snapshot to be updated.
  * update-cd:
    - add ppc64el to arch list.
    - grab checksums from the binary-all Packages.gz too when building.
    - generate checksums for torrents and jigdo files too if desired.
    - normalize path to genisoimage.
    - Tweak the code ordering in update-cd so the jigdo file checksums
      are generated after they're compressed.
  * tasks/buster/debian-edu: Update the debian-edu task definition.
  * tools/generate_debian-edu_task:
    - replace generate_debian-edu_task with a perl script.
  * tools/generate_firmware_task: add proper backports support.
  * tools/check_backports_packages: hard-code linux-image=* for now.
  * tools/boot/buster/boot-x86: Munge the EFI boot support code to make Secure
    Boot work.
  * tools/generate_di+k_list: explicitly bring in the signed shim and grub
    bootloaders.
  * Add initial support for generating media including packages from
    backports.
  * Update boot-x86 to handle UEFI Secure Boot better (minimal changes,
    real work is in d-i). Closes: #821054
  * Also include shim-signed and grub-efi-amd64-signed for amd64 media.

  [ David Kalnischkies ]
  * Provide hashes for uncompressed Translation-* again. Closes: #767253

  [ John Paul Adrian Glaubitz ]
  * Use compressed kernel image by default in boot-hppa.
  * Rename data/base_include_port_architectures to data/debian_ports.
  * Makefile: Rename UNRELEASED_PORT_ARCHITECTURES to DEBIAN_PORTS_ARCHES.
  * Makefile: Reorder architecture list in DEBIAN_PORTS_ARCHES.
  * Makefile: Rephrase comment on package list for Debian Ports.
  * Makefile: Add ia64, powerpc, riscv64 and sparc to DEBIAN_PORTS_ARCHES.

  [ Holger Levsen ]
  * Create a debian-edu task to be able to build an offline installation image
    for Debian Edu.
  * Drop unused script edu-build.sh.
  * data/buster: add Debian Edu installer logo from src:debian-edu-artwork
    2.10.2-1.
  * d/control:
    - upgrade to use debhelper-compat(=11), drop d/compat.
    - drop ancient version-requirement on dependency on apt.
    - don't recommend syslinux-utils twice, thanks lintian.
    - bump standards version to 4.3.0, no changes needed.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - add myself to uploaders.
  * d/rules:
    - use the awesome "dh $@" simplification.
    - use debian/debian-cd.docs.
    - use debian/debian-cd.install.
    - use debian/debian-cd.links.
  * Add lintian override for missing-depends-on-sensible-utils as
    sensible-editor is merely mentioned in the README.
  * d/copyright: explicitly refer to /usr/share/common-licenses/GPL-2.
  * Makefile: fix Raphaël Hertzog's name.
  * Cleanup white spaces & empty lines, in d/changelog, d/control and d/rules,
    thanks lintian.

  [ Wolfang Schweer ]
  * Reviewed, tested and proposed many of the Debian Edu related changes.
    Closes: #846006

 -- Holger Levsen <holger@debian.org>  Sat, 02 Feb 2019 23:38:07 +0100
